require('dotenv').config();
const debug=require('debug')('axios');

const URL=process.env.URL||'https://tarifmatrix.vbn.de:4445/fares/info';
debug('URL: '+URL)

var axios = require('axios');
var data = '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>\n<Trias xmlns:siri="http://www.siri.org.uk/siri" xmlns="http://www.vdv.de/trias" xmlns:ns3="http://www.ifopt.org.uk/acsb" xmlns:ns4="http://www.ifopt.org.uk/ifopt" xmlns:ns5="http://datex2.eu/schema/1_0/1_0" version="1.2">\n    <ServiceRequest>\n        <siri:RequestTimestamp>2019-07-09T12:56:52+02:00</siri:RequestTimestamp>\n        <siri:RequestorRef>3acf1331-8684-44ca-b5fa-ecaf63efb07d</siri:RequestorRef>\n        <Language>deu</Language>\n        <RequestPayload>\n            <LocationInformationRequest>\n                <InitialInput>\n                    <LocationName>Bremen Hbf</LocationName>\n                </InitialInput>\n            </LocationInformationRequest>\n        </RequestPayload>\n    </ServiceRequest>\n</Trias>';

var config = {
  method: 'post',
maxBodyLength: Infinity,
    url: `${URL}`,
    headers: {
	'Content-Type': 'application/xml'
    },
    data : data
};

axios(config)
    .then(function (response) {
	debug(JSON.stringify(response.data));
    })
    .catch(function (error) {
	console.log(error);
    });
